Bug 126737 - Yum installs wrong kernel when switching from UP to SMP
Yum installs wrong kernel when switching from UP to SMP
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 10:53 EDT by Mark Nelson
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 14:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Nelson 2004-06-25 10:53:15 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (X11; Linux i686; U)  [en]

Description of problem:
While upgrading a Xeon machine from a single processor kernel to a 
dual processor kerne,l yum installed the athlon kernel not the i686 
kernel. 



Version-Release number of selected component (if applicable):
yum-2.0.5-1 

How reproducible:
Always

Steps to Reproduce:
1.yum install kernel-smp


2.
3.
    

Actual Results:  athlon kernel installed. 

(Also not the default kernel, this is already in bugzilla)

Expected Results:  i686 kernel installed

Additional info:

[root@n3 root]# arch 
i686
 [root@n3 root]# yum install kernel-smp 
Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Server: IP3 Local Software
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[install: kernel-smp 2.4.22-1.2194.nptl.athlon]
Is this ok [y/N]: y
Running test transaction:
Test transaction complete, Success!
kernel-smp 100 % done 1/1 
depmod: *** Unresolved symbols in /lib/modules/usb/pwcx.o
depmod:         pwc_unregister_decompressor
depmod:         pwc_register_decompressor
Kernel Updated/Installed, checking for bootloader
Grub found - making this kernel the default
Installed:  kernel-smp 2.4.22-1.2194.nptl.athlon
Transaction(s) Complete

[root@n3 root]# rpm -qa |grep kernel-smp 
kernel-smp-2.4.22-1.2194.nptl
Comment 1 Seth Vidal 2004-06-25 10:58:33 EDT
run yum list kernel and send the output
run cat /etc/rpm/platform and send the output

and run: python -dc 'import os; print os.uname()[4]'

and send the output.

thanks
Comment 2 Seth Vidal 2004-11-01 14:40:10 EST
reopen if this still occurs.

Note You need to log in before you can comment on or make changes to this bug.